import { Ref } from 'vue';
import { IServerOrchParam, IServerOrchJson, IEntity, IModel } from '@fly-vue/lcdp-api';
declare type AnyFunc = () => void;
declare const _default: import("vue").DefineComponent<{
    id: null;
    title: null;
    data: null;
    doRefresh: null;
    hideOpers: {
        type: BooleanConstructor;
    };
    mode: {
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    hideStencilPanel: {
        type: BooleanConstructor;
        default: boolean;
    };
    showRemove: {
        type: BooleanConstructor;
    };
    addIdPrefix: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSaveAndPublishBtn: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: {
        id?: string | undefined;
        title?: string | undefined;
        data?: IServerOrchJson | undefined;
        doRefresh?: AnyFunc | undefined;
        hideOpers?: boolean | undefined;
        mode: 'create' | 'edit';
        enableInnerSave?: boolean | undefined;
        hideStencilPanel: boolean;
        showRemove?: boolean | undefined;
        addIdPrefix: boolean;
        showSaveAndPublishBtn?: boolean | undefined;
    };
    emit: (event: "on-change" | "on-save" | "on-remove", ...args: any[]) => void;
    _data: Ref<IServerOrchJson>;
    content: Ref<any>;
    fullscreen: Ref<any>;
    canRevert: Ref<boolean>;
    canRedo: Ref<boolean>;
    hasChange: Ref<boolean>;
    saving: Ref<boolean>;
    originalMeta: Ref<any>;
    refDesigner: Ref<any>;
    loaded: Ref<boolean>;
    parametersSchema: Ref<Record<string, IServerOrchParam> | undefined>;
    outputSchema: Ref<Record<string, IServerOrchParam> | undefined>;
    appId: string | undefined;
    serverPrefix: string;
    recordId: import("vue").WritableComputedRef<unknown>;
    id: import("vue").ComputedRef<string | undefined>;
    getContent: () => Promise<{
        data: any;
        meta: any;
    }>;
    save: (deploy?: boolean) => Promise<void>;
    saveAndPublish: () => Promise<void>;
    refresh: () => Promise<void>;
    onChange: () => void;
    showDebuggerConsole: () => void;
    showCode: () => void;
    openSetting: () => Promise<void>;
    convertEntityFieldsToParameterProperties: (entity: IEntity) => Record<string, IServerOrchParam>;
    convertModelPropertiesToParameterProperties: (model: IModel) => Record<string, IServerOrchParam>;
    handleParamSchema: (v: IServerOrchParam) => Promise<IServerOrchParam>;
    reloadParametersSchema: () => Promise<void>;
    confirmRemove: () => Promise<void>;
    reload: () => Promise<void>;
    ctx: any;
    onLoad: ({ orchContext }: any) => void;
    LcdpServerOrchDesigner: () => Promise<any>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Fullscreen: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/fullscreen.vue")>;
    Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-change" | "on-save" | "on-remove")[], string, Readonly<import("vue").ExtractPropTypes<{
    id: null;
    title: null;
    data: null;
    doRefresh: null;
    hideOpers: {
        type: BooleanConstructor;
    };
    mode: {
        default: string;
    };
    enableInnerSave: {
        type: BooleanConstructor;
    };
    hideStencilPanel: {
        type: BooleanConstructor;
        default: boolean;
    };
    showRemove: {
        type: BooleanConstructor;
    };
    addIdPrefix: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSaveAndPublishBtn: {
        type: BooleanConstructor;
    };
}>>, {
    hideOpers: boolean;
    mode: string;
    enableInnerSave: boolean;
    hideStencilPanel: boolean;
    showRemove: boolean;
    addIdPrefix: boolean;
    showSaveAndPublishBtn: boolean;
}>;
export default _default;
